// If you have a BP6 uncomment this line

#define HAVE_BP6

// temp scale constants

#define CELCIUS 0
#define FAHRENHEIT 1
#define KELVIN 2
#define TEMP_LIMIT 75		// Maximum value of the temperature (in Celcius)
				// for the graph.
// defaults

#define DELAY 500000		// Half a second causes  to flash once a second.
#define CORE_VOLTAGE 2.0	// Default Celeron Voltage.
#define RANGE_P 10		// for a +- 5% range (10% total.)
#define START_DISPLAY 0 	// 0 for FANS, 1 for VOLTS, 2 for CPUS.

// This is the alarm threshold for the MB temp. Units are Degrees Celcius.

#define MB_LIMIT 50

/* default colormap to use for the temperature bar. 
 * 
 * 0=Tropical 
 * 1=Ice
 * 2=Green Man
 *
 */
 
#define TBAR_COLORMAP 0 

// misc constants

#define TRUE 1
#define FALSE 0

// data display constants

#define D_FANS 0
#define D_VOLTAGES 1
#define D_TEMPS 2

#define D_CORE 1
#define D_IO 2
#define D_P5 3
#define D_P12 4
#define D_N12 5
#define D_N5 6

// required includes

#include "config.h"
#include <X11/Xlib.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <unistd.h>
#include <math.h>
#include <limits.h>
#if __FreeBSD__ < 4
#include <sys/rlist.h>
#endif
#include <sys/wait.h>
#include <sys/types.h>
#include <X11/xpm.h>
#include <X11/extensions/shape.h>
#include <X11/Xlibint.h>
#include "wmgeneral.h"
#include <machine/cpufunc.h>

#ifdef HAVE_SMBUS
#include <machine/smb.h>
int SMBUS = 1;
#else
int SMBUS = 0;
#endif

#include "wmhm_master.xpm"
#include "wmhm_mask.xbm"
